Bug 94925 - Calc Hyperlink Error when opening MS Excel
Summary: Calc Hyperlink Error when opening MS Excel
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: All All
: medium minor
Assignee: Eike Rathke
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2015-10-10 02:54 UTC by Aaron Lim
Modified: 2018-10-27 20:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Before and after the edit (148.25 KB, image/png)
2015-10-10 02:54 UTC, Aaron Lim
Details
Item Map (Data removed) (27.66 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-10-16 02:52 UTC, Aaron Lim
Details
Item Map (Data removed) (as ODF) (95.49 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-10-16 02:53 UTC, Aaron Lim
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Lim 2015-10-10 02:54:49 UTC
Created attachment 119475 [details]
Before and after the edit

I have having problems with a hardcoded `hyperlink(A,B)` function.

Basically, I got an .xlsx file, opened it, then clicked the hyperlink. It wouldn't run. It tells me that the Hyperlink "is not an absolute URL that can be passed to an external application to open it."

However, a different hyperlink that takes values from a cell works fine.

I found out that it might have confused the hyperlink's Text as the URL, which confused me more, since my syntax was correct.

=======================================

To correct it, I simply had to re-enter the function. So, I went to Replace, replaced all instances of "=HYPERLINK" into some gibberish (like "@#$%^"), then replaced that gibberish with "=HYPERLINK".

Included is a screenshot of my LibreOffice file.
Comment 1 raal 2015-10-10 08:17:29 UTC
Hello Aaron,

Thank you for filing the bug. Please send us a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO', so please do change it back to 'UNCONFIRMED' once you have attached a document.
(Please note that the attachment will be public, remove any sensitive information before attaching it.)
How can I eliminate confidential data from a sample document?
https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F
Thank you
Comment 2 Aaron Lim 2015-10-16 02:52:42 UTC
Created attachment 119658 [details]
Item Map (Data removed)
Comment 3 Aaron Lim 2015-10-16 02:53:50 UTC
Created attachment 119659 [details]
Item Map (Data removed) (as ODF)
Comment 4 Aaron Lim 2015-10-16 02:57:09 UTC
I have uploaded the Excel File and a copy saved for ODF. Please look at the Sheet "Map B3"

It has also come to my attention that deleting ANY of the other sheets would also automatically fix the problem. More or less, that's why I took so long to come back to this bug.
Comment 5 Buovjaga 2015-10-18 17:56:51 UTC
Confirmed.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-11-08 11:03:50 UTC Comment hidden (obsolete)
Comment 7 Julien Nabet 2017-05-14 07:36:05 UTC
With master sources updated yesterday, I could reproduce this.
Comment 8 Eike Rathke 2018-07-12 21:48:58 UTC
Seems the text result is set as hyperlink when importing. A recalc calculates the correct result, F9 on a single hyperlink cell or Shift+Ctrl+F9 to recalculate all.
Comment 9 Commit Notification 2018-07-13 19:06:50 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5803a66fd9d71b72521d712ba4391ddd570bffa

Rework FormulaTokenArray ScRecalcMode in preparation for tdf#94925

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-07-13 23:56:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=771149ac99a57c641caebdfc7dd6fac25c292682

Resolves: tdf#94925 do not unset dirty if formula cell must be recalculated

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-07-14 13:39:56 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4247120b0edc0429a228dc8ea0ea820aa2f09214

Broadcast formula cells marked for recalc, tdf#94925 related

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Eike Rathke 2018-07-14 15:23:23 UTC
Pending review https://gerrit.libreoffice.org/57438 for 6-1
Comment 13 Commit Notification 2018-07-14 19:58:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=095d749fcabdc2601c6dd3c519aa1aba1249a41a

Remove the check for IsRecalcModeMustAfterImport(), tdf#94925 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-07-17 15:20:12 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd3baf8dab6c5b8865a33136cc28a016e6ee6afb

OOXML import: CalcFormulaTree() is unnecessary, tdf#94925 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2018-07-18 23:46:56 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e5248f32d8fdfd4655bd15bd60d83e9a0c6e540&h=libreoffice-6-1

Resolves: tdf#94925 proper recalc mode and dirty broadcast for OOXML import

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Zineta 2018-07-26 09:34:50 UTC
Works as expected in:
Version: 6.2.0.0.alpha0+ (x64)
Build ID: 7119184f4b5441600f7b3eae7ec6771c094bbb7f
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-07-23_05:38:07
Locale: bs-BA (bs_BA); Calc: group threaded

..so I changed status to Verified Fixed.